package search

import (
	"log"
	"tercul/internal/platform/config"
	"tercul/pkg/search/bleve"
)

var BleveClient *bleve.BleveClient

func InitBleve() {
	var err error
	BleveClient, err = bleve.NewBleveClient(config.Cfg.BleveIndexPath)
	if err != nil {
		log.Fatalf("Failed to initialize Bleve: %v", err)
	}

	log.Println("Connected to Bleve successfully.")
}

func CloseBleve() {
	if BleveClient != nil {
		if err := BleveClient.Close(); err != nil {
			log.Printf("Error closing Bleve client: %v", err)
		}
	}
}
